%define libmajor 42

Summary:	GPL Electronic Design Automation Project
Name:		geda
Epoch:		1
Version:	1.8.1
Release:	%mkrel 6
License:	GPLv2+
Group:		Sciences/Other
Url:		http://www.gpleda.org/
Source:		ftp://ftp.geda-project.org/geda-gaf/stable/v1.8/1.8.1/geda-gaf-1.8.1.tar.gz
Patch0:		geda-gaf-1.8.1-linkage.patch
Patch1:		geda-gaf-1.8.1-desktop.patch
BuildRequires:	guile
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	libguile-devel
BuildRequires:	libstroke-devel
Requires:	geda-gattrib
Requires:	geda-gschem
Requires:	geda-gnetlist
Requires:	geda-gsymcheck
Requires:	geda-symbols
Requires:	geda-utils
Suggests:	geda-docs
Suggests:	geda-examples

%description

The GPL Electronic Design Automation (gEDA) project has produced and
continues working on a full GPL'd suite and toolkit of Electronic
Design Automation tools. These tools are used for electrical circuit
design, schematic capture, simulation, prototyping, and
production. Currently, the gEDA project offers a mature suite of free
software applications for electronics design, including schematic
capture, attribute management, bill of materials (BOM) generation,
net-lists into over 20 netlist formats, analog and digital
simulation, and printed circuit board (PCB) layout.

%files

#--------------------------------------------------------------------------
%package -n lib%{name}-data
Summary:	Static data from %{name}
Group:		Sciences/Other
Conflicts:	%{name}-symbols < 1:1.6.0-2

%description -n lib%{name}-data
This packages contains some help files and other static stuf.

The gEDA project is working on producing a full GPL'd suite of
Electronic Design Automation tools. These tools are used for electrical
circuit design, simulation, prototyping, and production.

%files -n lib%{name}-data -f lib%{name}%{libmajor}.lang
%dir %{_datadir}/gEDA
%{_datadir}/gEDA/prolog.ps
%dir %{_datadir}/gEDA/scheme/
%{_datadir}/gEDA/scheme/geda.scm
%{_datadir}/gEDA/scheme/color-map.scm
%{_datadir}/gEDA/system-gafrc
%{_datadir}/gEDA/print-colormap-*
%{_iconsdir}/hicolor/*/mimetypes/*
%{_datadir}/mime/packages/*

#--------------------------------------------------------------------------
%define libname	%mklibname %{name} %{libmajor}

%package -n %{libname}
Summary:	Libraries for the gEDA project
Group:		Sciences/Other
Requires:	lib%{name}-data >= %{epoch}:%{version}-%{release}

%description -n %{libname}
This package contains libgeda%{major} (library needed by gEDA applications).

The gEDA project is working on producing a full GPL'd suite of
Electronic Design Automation tools. These tools are used for electrical
circuit design, simulation, prototyping, and production.

%files -n %{libname}
%{_libdir}/*.so.%{libmajor}
%{_libdir}/*.so.%{libmajor}.*

#--------------------------------------------------------------------------
%define develname %mklibname -d %{name}

%package -n %{develname}
Summary:	Development libraries for the gEDA project
Group:		Sciences/Other
Provides:	%{name}-devel = %{epoch}:%{version}-%{release}
Requires:	%{libname} = %{epoch}:%{version}-%{release}

%description -n %{develname}
This package contains development libraries and header files
for development.

The gEDA project is working on producing a full GPL'd suite of
Electronic Design Automation tools. These tools are used for electrical
circuit design, simulation, prototyping, and production.

%files -n %{develname}
%{_libdir}/libgeda.so
%{_libdir}/libgeda.la
%{_libdir}/pkgconfig/*.pc
%{_includedir}/libgeda

#--------------------------------------------------------------------------
%package symbols
Summary:	Electronic symbols for gEDA
Group:		Sciences/Other

%description symbols
This package contains a bunch of symbols of electronic devices
used by gschem, the gEDA project schematic editor.

%files symbols
%{_datadir}/gEDA/sym
%{_datadir}/gEDA/gafrc.d
%{_datadir}/doc/geda-gaf/nc.pdf

#--------------------------------------------------------------------------
%package gattrib
Summary:	Electronics schematics editor
Group:		Sciences/Other
Requires:	%{name}-symbols = %{epoch}:%{version}-%{release}

%description gattrib
Gattrib is gEDA's attribute editor.  It reads a set of gschem .sch
files (schematic files), and creates a spreadsheet showing all
components in rows, with the associated component attributes listed in
the columns.  It allows the user to add, modify, or delete component
attributes outside of gschem, and then save the .sch files back
out.  When it is completed, it will allow the user to edit attributes
attached to components, nets, and pins.  (Currently, only component
attribute editing is implemented; pin and net attributes are displayed
only.)

%files gattrib -f %{name}-gattrib.lang
%{_bindir}/gattrib
%{_datadir}/gEDA/system-gattribrc
%{_datadir}/gEDA/gattrib-menus.xml
%{_datadir}/doc/geda-gaf/man/gattrib.html
%{_mandir}/man1/gattrib.1.xz
%{_datadir}/applications/geda-gattrib.desktop
%{_iconsdir}/hicolor/*/apps/geda-gattrib.*

#--------------------------------------------------------------------------
%package gschem
Summary:	Electronics schematics editor
Group:		Sciences/Other
Requires:	%{name}-symbols = %{epoch}:%{version}-%{release}
Conflicts:	%{name}-symbols < 1:1.6.0-2

%description gschem
Gschem is an electronics schematic editor. It is part of the gEDA project.

%files gschem -f %{name}-gschem.lang
%{_bindir}/gschem
%{_mandir}/man1/gschem.*
%{_datadir}/gEDA/bitmap/
%{_datadir}/gEDA/system-gschemrc
%{_datadir}/gEDA/gschem-*
%{_datadir}/gEDA/scheme/auto-place-attribs.scm
%{_datadir}/gEDA/scheme/auto-uref.scm
%{_datadir}/gEDA/scheme/default-attrib-positions.scm 
%{_datadir}/gEDA/scheme/generate_netlist.scm
%{_datadir}/gEDA/scheme/gschem.scm
%{_datadir}/gEDA/scheme/image.scm
%{_datadir}/gEDA/scheme/list-keys.scm
%{_datadir}/gEDA/scheme/pcb.scm
%{_datadir}/gEDA/scheme/print.scm
%{_datadir}/gEDA/scheme/print-NB-attribs.scm
%{_datadir}/gEDA/scheme/geda/attrib.scm
%{_datadir}/gEDA/scheme/geda/core/gettext.scm
%{_datadir}/gEDA/scheme/geda/deprecated.scm
%{_datadir}/gEDA/scheme/geda/object.scm
%{_datadir}/gEDA/scheme/geda/os.scm
%{_datadir}/gEDA/scheme/geda/page.scm
%{_datadir}/gEDA/scheme/gschem/attrib.scm
%{_datadir}/gEDA/scheme/gschem/core/gettext.scm
%{_datadir}/gEDA/scheme/gschem/deprecated.scm
%{_datadir}/gEDA/scheme/gschem/gschemdoc.scm
%{_datadir}/gEDA/scheme/gschem/hook.scm
%{_datadir}/gEDA/scheme/gschem/keymap.scm
%{_datadir}/gEDA/scheme/gschem/selection.scm
%{_datadir}/gEDA/scheme/gschem/util.scm
%{_datadir}/gEDA/scheme/gschem/window.scm
%{_datadir}/gEDA/scheme/partslist-common.scm
%{_datadir}/doc/geda-gaf/man/gschem.html
%{_datadir}/applications/geda-gschem.desktop
%{_iconsdir}/hicolor/*/apps/geda-gschem.*

#--------------------------------------------------------------------------
%package gsymcheck
Summary:	Electronics schematics editor
Group:		Sciences/Other
Requires:	%{name}-symbols = %{epoch}:%{version}-%{release}

%description gsymcheck
Gsymcheck is a utility to check symbols for gschem. It is part
of the gEDA project.

%files gsymcheck
%{_bindir}/gsymcheck
%{_datadir}/gEDA/system-gsymcheckrc
%{_datadir}/doc/geda-gaf/man/gsymcheck.html
%{_mandir}/man1/gsymcheck.*

#--------------------------------------------------------------------------
%package utils
Summary:	Netlister for the gEDA project
Group:		Sciences/Other
Requires:	%{name}-symbols = %{epoch}:%{version}-%{release}

%description utils
Several utilities for the gEDA project.

%files utils
%{_bindir}/gmk_sym
%{_bindir}/smash_megafile
%{_bindir}/convert_sym
%{_bindir}/sarlacc_schem
%{_bindir}/sarlacc_sym
%{_bindir}/gschlas
%{_bindir}/olib
%{_bindir}/refdes_renum
%{_bindir}/gsch2pcb
%{_bindir}/pads_backannotate
%{_bindir}/tragesym
%{_bindir}/garchive
%{_bindir}/grenum
%{_bindir}/gsymfix
%{_bindir}/schdiff
%{_bindir}/pcb_backannotate
%{_bindir}/gxyrs
%{_datadir}/gEDA/perl/
%{_datadir}/gEDA/system-gschlasrc
%{_datadir}/doc/geda-gaf/man/grenum.html
%{_datadir}/doc/geda-gaf/man/convert_sym.html
%{_datadir}/doc/geda-gaf/man/garchive.html
%{_datadir}/doc/geda-gaf/man/gmk_sym.html
%{_datadir}/doc/geda-gaf/man/gsch2pcb.html
%{_datadir}/doc/geda-gaf/man/gschlas.html
%{_datadir}/doc/geda-gaf/man/gsymfix.html
%{_datadir}/doc/geda-gaf/man/gxyrs.html
%{_datadir}/doc/geda-gaf/man/olib.html
%{_datadir}/doc/geda-gaf/man/pads_backannotate.html
%{_datadir}/doc/geda-gaf/man/pcb_backannotate.html
%{_datadir}/doc/geda-gaf/man/refdes_renum.html
%{_datadir}/doc/geda-gaf/man/sarlacc_schem.html
%{_datadir}/doc/geda-gaf/man/sarlacc_sym.html
%{_datadir}/doc/geda-gaf/man/schdiff.html
%{_datadir}/doc/geda-gaf/man/smash_megafile.html
%{_datadir}/doc/geda-gaf/man/tragesym.html
%{_mandir}/man1/convert_sym.1.*
%{_mandir}/man1/garchive.1.*
%{_mandir}/man1/gmk_sym.1.*
%{_mandir}/man1/gsch2pcb.1.*
%{_mandir}/man1/gschlas.1.*
%{_mandir}/man1/gsymfix.1.*
%{_mandir}/man1/gxyrs.1.*
%{_mandir}/man1/olib.1.*
%{_mandir}/man1/pads_backannotate.1.*
%{_mandir}/man1/pcb_backannotate.1.*
%{_mandir}/man1/refdes_renum.1.*
%{_mandir}/man1/sarlacc_schem.1.*
%{_mandir}/man1/sarlacc_sym.1.*
%{_mandir}/man1/schdiff.1.*
%{_mandir}/man1/smash_megafile.1.*
%{_mandir}/man1/tragesym.1.*
%{_datadir}/doc/geda-gaf/readmes
%{_mandir}/man1/grenum.1*

#--------------------------------------------------------------------------
%package gnetlist
Summary:	Netlister for the gEDA project
Group:		Sciences/Other
Requires:	%{name}-symbols = %{epoch}:%{version}-%{release}
Conflicts:	%{name}-symbols < 1:1.6.0-2

%description gnetlist
Gnetlist generates netlists from schematics drawn with gschem
(the gEDA schematic editor). Possible output formats are:
- spice netlists
- verilog
- tango

%files gnetlist
%{_bindir}/gnetlist
%{_bindir}/sw2asc
%{_mandir}/man1/gnetlist.*
%{_datadir}/gEDA/system-gnetlistrc
%{_datadir}/gEDA/scheme/gnet*.scm
%{_datadir}/gEDA/scheme/gnetlist/backend-getopt.scm
%{_datadir}/doc/geda-gaf/man/sw2asc.html
%{_datadir}/doc/geda-gaf/man/gnetlist.html
%{_mandir}/man1/sw2asc.1.*

#--------------------------------------------------------------------------
%package examples
Summary:	Examples for the gEDA project
Group:		Sciences/Other

%description examples
This package provide example for the gEDA project.

%files examples
%{_datadir}/doc/geda-gaf/examples

#--------------------------------------------------------------------------
%package docs
Summary:	Doc for the gEDA project
Group:		Sciences/Other

%description docs
This package provides documentation for the gEDA project.

%files docs
%{_datadir}/doc/geda-gaf/wiki
%{_datadir}/doc/geda-gaf/gedadocs.html
%{_datadir}/info/geda-scheme.info.xz

#--------------------------------------------------------------------------

%prep
%setup -qn geda-gaf-%{version}
%apply_patches

%build
%configure2_5x \
	--disable-update-xdg-database \
	--disable-static \
	--disable-rpath
%make

%install
%makeinstall_std

%find_lang lib%{name}%{libmajor}
%find_lang %{name}-gattrib
%find_lang %{name}-gschem

%post docs
%_install_info geda-scheme.info
  
%preun docs
%_remove_install_info geda-scheme.info


%changelog
* Fri Oct 18 2013 umeabot <umeabot> 1:1.8.1-6.mga4
+ Revision: 504745
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 1:1.8.1-5.mga3
+ Revision: 351198
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 16 2012 barjac <barjac> 1:1.8.1-4.mga3
+ Revision: 331745
- loosen require on libgeda-data

* Fri Dec 07 2012 barjac <barjac> 1:1.8.1-3.mga3
+ Revision: 327914
- move install/remove info scripts to docs package
- fixed incorrect macros in post and preun and removed postun
- minor spec clean

* Sat Dec 01 2012 juergen_harms <juergen_harms> 1:1.8.1-2.mga3
+ Revision: 323940
- add patch to correct the desktop-menu category (bugzilla #8257)
- tidy SOURCES (remove leftover 1.7.2 files)

* Sat Nov 24 2012 juergen_harms <juergen_harms> 1:1.8.1-1.mga3
+ Revision: 321620
- new upstream version (1.8.1)
- bump libmajor
- re-diff the linkage patch
- drop obsolete patches figuring in 1.7.2 (glib-fix.patch, desktop.patch)
- adapt specs to include file /usr/share/geda-scheme.info in geda-docs

* Mon Mar 05 2012 juergen_harms <juergen_harms> 1:1.7.2-3.mga2
+ Revision: 218517
+ rebuild (emptylog)

* Sun Mar 04 2012 juergen_harms <juergen_harms> 1:1.7.2-2.mga2
+ Revision: 218183
- specify manpage suffixes by wildcards (avoid hardwiring compression method)
- patch desktop file (internationalisation), add call to desktop-file-install

* Fri Feb 17 2012 juergen_harms <juergen_harms> 1:1.7.2-1.mga2
+ Revision: 210003
- Import geda-1.7.2 from upstream
- Remove format patch (used in 1.6.2, obsoleted by new upstream sources)
- Add gio-2.0 library inclusion (linkage patch)
- Adapt several target "%%files" sections: add/remove object files as imposed by new source package

* Wed Dec 28 2011 wally <wally> 1:1.6.2-3.mga2
+ Revision: 188401
- rebuild for new guile
- add P1 to fix build with new glib
- add P2 to fix linking
- clean BR

* Sun Apr 03 2011 wally <wally> 1:1.6.2-2.mga1
+ Revision: 79989
- restore meta package which was lost when geda was imported

* Sat Mar 26 2011 wally <wally> 1:1.6.2-1.mga1
+ Revision: 77664
- new version 1.6.2
- own some unowned dirs
- drop buildroot definition
- clean .spec
- imported package geda


* Thu Feb 25 2010 Funda Wang <fwang@mandriva.org> 1:1.6.1-1mdv2010.1
+ Revision: 510994
- new version 1.6.1

* Sat Nov 14 2009 Funda Wang <fwang@mandriva.org> 1:1.6.0-2mdv2010.1
+ Revision: 466073
- fix filelist and requires
- update url
- update desc

* Sat Nov 14 2009 Funda Wang <fwang@mandriva.org> 1:1.6.0-1mdv2010.1
+ Revision: 466053
- New version 1.6.0

* Thu Aug 06 2009 Funda Wang <fwang@mandriva.org> 1:1.4.3-1mdv2010.0
+ Revision: 410464
- new version 1.4.3

* Sun Dec 28 2008 Funda Wang <fwang@mandriva.org> 1:1.4.2-1mdv2009.1
+ Revision: 320244
- name geda as a meta package

* Tue Jul 22 2008 Thierry Vignaud <tv@mandriva.org> 20060123-4mdv2009.0
+ Revision: 239587
- rebuild

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 20060123-3mdv2009.0
+ Revision: 222250
- fix menu directory creation
- auto-convert XDG menu entry
- kill re-definition of %%buildroot on Pixel's request

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot


* Thu Dec 14 2006 Olivier Thauvin <nanardon@mandriva.org> 20060123-2mdv2007.0
+ Revision: 96715
- fix requirement
- Import geda

* Sun May 14 2006 Olivier Thauvin <nanardon@mandriva.org> 20060123-1mdk
- 20060123

* Wed Oct 05 2005 Nicolas Lcureuil <neoclust@mandriva.org> 20050820-2mdk
- BuildRequires Fix

* Wed Oct 05 2005 Olivier Thauvin <nanardon@mandriva.org> 20050820-1mdk
- 20050820

* Thu May 06 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 20040111-1mdk
- 20040111

